1. Announcement:
    Forum upgrade and temporary closure
    CADTutor ‎(Administrator)
    10th Aug 2018
    Views:
    130
+ Post New Thread
Page 1 of 573 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14318

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 97,512
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 78,396
    18th Sep 2006 10:46 pm Go to last post
  1. HATCH Angle is not getting selected until I run the -hatchedit command

    Hi all, Here's a LISP that I'm having a problem with. Everything's working OK apart from getting the angle of the HATCH working. It doesn't work until I run it through a -hatchedit command....

    Started by 3dwannab‎, Yesterday 10:01 pm
    • Replies: 1
    • Views: 47
    Today 10:13 am Go to last post
  2. LISP to Change Rotation Angle of Text back to 0 Degress

    Hi I have some text in AutoCAD that are sitting at all different degrees, I would like to run a script to basically keep the text where it is but reset the rotation angle back to 0. Does...

    Started by Bobzy20‎, Yesterday 09:39 am
    • Replies: 7
    • Views: 125
    Today 09:34 am Go to last post
  3. Scatter in multiple polyline

    Hi all found this awesome lisp http://www.cadtutor.net/forum/showthread.php?68154-Scatter-blocks-inside-a-polyline-or-some-kind-of-spray-tool-for-ACAD-... it's great but i want to make some...

    Started by loudy000‎, Today 06:15 am
    • Replies: 0
    • Views: 41
    Today 06:15 am Go to last post
  4. Mass Move Blocks to Nearest Line

    I'm working on this LISP that moves selected blocks to the nearest line. I've been modifying an old LISP found at www.arch-pub.com/Move-point-perpendicular-to-line_10272335.html. That LISP works,...

    Started by Ohnoto‎, 11th Mar 2016 04:02 pm
    • Replies: 5
    • Views: 1,724
    Today 04:17 am Go to last post
  5. Time bound Lisp

    Hi to all Can a lisp can be time bound ? :unsure: To be more specific i want a lisp, not to run after a certain date or time. It could be sounding funny but i just want to know its...

    Started by viviancarvalho‎, 23rd Nov 2010 09:50 am
    3 Pages
    1 2 3
    • Replies: 24
    • Views: 9,458
    Today 02:53 am Go to last post
  6. Change Layer and Create New Layer If Needed LISP

    Hello! So I've been Googling around the internet and am trying to find a LISP that, upon selecting an object, would place that object on a demo layer and if that layer is not present, would create...

    Started by PaulS00‎, 6th May 2016 04:49 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 3,688
    Yesterday 08:58 pm Go to last post
  7. Story-Booking idea for a LISP

    I'm very new to creating LISPs but I want to learn. We have parallel lines (Blue & Cyan). At some points on the Blue line there is a perpendicular Blue line. At that intersection, the Cyan line...

    Started by jonhite‎, Yesterday 05:32 pm
    • Replies: 2
    • Views: 82
    Yesterday 08:33 pm Go to last post
  8. I have a LISP "QuickDimension", I'd like to approve this LISP,Would you see this lisp

    I have a LISP "QuickDimension", I'd like to approve this LISP,Would you see this lisp I want to fix two position. (defun c:qd(/ os dis hva a tem pt1 pt2 pt3 p1 p2 p3 dx dy ag ...

    Started by nest1291‎, Yesterday 01:12 am
    • Replies: 2
    • Views: 131
    Yesterday 07:53 pm Go to last post
  9. Simple Rectangle LISP

    We often need 15/16" tall rectangles at different lengths. I want to be able to select point a and point b and create a 15/16" tall rectangle perpendicular to the line between the 2 points (no line...

    Started by jonhite‎, 13th Aug 2018 03:53 pm
    • Replies: 8
    • Views: 213
    Yesterday 03:47 am Go to last post
  10. Attribute alignment automatically as per standard.

    Hello Everyone, In my drawing file, there is lot of attributes to Align as per standard. (Attribute are in Block Reference). It will take lots of time to do with Manual. All the attribute are in...

    Started by acad1985‎, 1st Aug 2018 03:33 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 503
    11th Aug 2018 09:22 pm Go to last post
  11. Question Lisp to toggle layer only works for lines inside a block, unless I undo/redo it

    I wrote a short lisp to toggle a layer between frozen/thawed based on this post by Lee Mac: http://www.cadtutor.net/forum/showthread.php?68095-LISP-for-If-layer-is-frozen-thaw-it-and-vice-versa ...

    Started by jhadams82‎, 9th Aug 2018 04:53 pm
    • Replies: 3
    • Views: 168
    11th Aug 2018 09:38 am Go to last post
  12. Block Insert Lisp

    I am currently working for a cabinet company that provides drawings using over 250,000 different blocks. I am looking to see if anyone has written a lisp program that would make the insertion of...

    Started by Skilled Warrior‎, 13th Jul 2010 12:25 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 21,025
    11th Aug 2018 02:48 am Go to last post
  13. generate visibility states

    Is there a way for LISP to generate visibility states? If yes... then maybe import the block definition, from dwg file (1 file = 1 block) I'm combining lots of blocks into fewer blocks, by...

    Started by Emmanuel Delay‎, 10th Aug 2018 01:43 pm
    • Replies: 2
    • Views: 141
    10th Aug 2018 11:17 pm Go to last post
  14. How to get a substring of a variable which was input for my defun

    Hello everyone, I hope I have a simple issue. But I couldn't find a clue how to solve it. (setq CCLIST (list "aa" "ab" "ac")) (defun MJO:whatever ( MLIST\ ) (set (read(strcat "ANO" (substr...

    Started by Ament‎, 8th Aug 2018 02:14 pm
    • Replies: 8
    • Views: 229
    10th Aug 2018 08:59 am Go to last post
  15. Subtract of layers

    There is some routine in which you can subtract the 3D elements of a layer from the other selected layers ? Thank you for the attention.

    Started by pizarro‎, 24th Jul 2018 05:05 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 294
    9th Aug 2018 08:10 pm Go to last post
  16. set local color to object inside a nested block (without entering to block mode)

    hi i need to be able to changh the color of object that live inside a block (sometimes nasted blocks) without entering the block. for example, i have a window block, it comes with blue as the...

    Started by samifox‎, 9th Aug 2018 07:31 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 268
    9th Aug 2018 06:50 pm Go to last post
  17. How to get serial number of hard drive by lisp?

    Hi everybody ! I want to get "serial number" of my hard drive by lisp. But I can't. Help me !!!

    Started by nataca‎, 23rd Apr 2009 05:23 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 10,668
    8th Aug 2018 10:15 pm Go to last post
  18. Select non-associative DIMENSIONS ?

    Hi, I've tried to look into the differences between DIMS that need to be reassociated and actual associative DIMS. All I can see is that there are two pairs in the DXF 330 listing. Like the...

    Started by 3dwannab‎, 8th Aug 2018 01:59 pm
    assoc, dimreassociate
    • Replies: 4
    • Views: 140
    8th Aug 2018 08:22 pm Go to last post
  19. LISP to add predefined Suffix to dimension

    Good morning! I have not had any luck in finding much that my novice LISP skills can fix up to suit my needs. Perhaps someone here has something laying around? I am looking to have a LISP that...

    Started by K Baden‎, 8th Aug 2018 03:40 pm
    lisp, multiple options, suffix
    • Replies: 2
    • Views: 112
    8th Aug 2018 04:03 pm Go to last post
  20. Convert lines into text, LISP or VBA Routine

    Anyone has a code to accomplish this? I am dealing with bunch of poorly converted lines from PDF that used to be AutoCAD text in the drawing. Greatly appreciated!:)

    Started by lshurp‎, 2nd Aug 2018 04:18 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 366
    8th Aug 2018 03:45 pm Go to last post
  21. Select text below a LINE

    is it possible on autolisp to select all text below the line? we always deal with data like these, and I'm just thinking maybe i could ask your help if it is possible to select all text below a...

    Started by ktbjx‎, 7th Aug 2018 12:05 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 316
    8th Aug 2018 02:46 pm Go to last post
  22. Question Codes to Add Text only and no need leader..

    hai, i need a small help.i have a working lisp routine which gives perpendicular line distance to main line when clicked on a place perpendicular, only thing i want to try and add is to remove the...

    Started by minejash‎, 8th Aug 2018 06:59 am
    codes, lisp
    • Replies: 8
    • Views: 179
    8th Aug 2018 11:41 am Go to last post
  23. This command is prompting again and again.

    i use this lisp file or this program to plot instruments in instrumentation layouts but from morning it is showing this message again and again aas bad argument type or file nil. For this i have...

    Started by Karan Patel‎, 7th Aug 2018 12:50 pm
    • Replies: 5
    • Views: 240
    8th Aug 2018 11:13 am Go to last post
  24. File handling : reading text file

    Hi, Its been a while since I lisp, trying to go back to track The lisp should acquire the drawing database for specific layers and ones they are found it should set a specific color to them. ...

    Started by samifox‎, 5th Aug 2018 07:02 am
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 491
    8th Aug 2018 10:19 am Go to last post
  25. Select Multileaders at the same elevation

    Hello, Could you help me with the following question? I would like to filter all the texts and multileaders at Z=0. I could solve it for texts by using the following code, but it does not work...

    Started by TRicKolas‎, 7th Aug 2018 03:31 pm
    elevation, multileader, text, z coordinates
    • Replies: 1
    • Views: 145
    8th Aug 2018 09:19 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts